Subject: Re: [RFC PATCH] promisor-remote: always JIT fetch with --refetch

From: Junio C Hamano <[email-masked]>
Date: Fri, 11 Oct 2024 10:54:40 -0700

Emily Shaffer <[email-masked]> writes:

> By "lazy fetch", are you referring to the partial clone fetch, or are

Anything we do to compensate for the fact that that initial clone or
fetch can be told to deliberately omit objects, in the hope that we
can grab missing objects on demand.

> Yeah, this is on me for not reading the entire documentation, just
> noticing in code that it disabled this COMPLETE cache thingie. You're
> right that it would be too expensive to use this way. As I said at the
> top, I'll try to send one of the other alternative approaches today.

I thought you were already on your vacation ;-).  I'll go offline
end of this week and won't be back until the end of the month.